def perfometer_check_mk_blackberry_licenses(row, check_command, perf_data):
    licenses = float(perf_data[0][1])
    warn = float(perf_data[0][3])
    crit = float(perf_data[0][4])
    licpercent = licenses * (100 / crit)
    if licenses < warn:
        color = "#00ff00"
    elif licenses < crit:
        color = "#ffff00"
    else:
        color = "#ff0000"

    return "%.0f" % licenses, perfometer_linear(licpercent, color)

perfometers["check_mk-blackberry_licenses"] = perfometer_check_mk_blackberry_licenses
