def perfometer_check_mk_blackberry_pending(row, check_command, perf_data):
    pending = float(perf_data[0][1])
    warn = float(perf_data[0][3])
    crit = float(perf_data[0][4])
    pendpercent = pending * (100 / crit)
    if pending < warn:
        color = "#00ff00"
    elif pending < crit:
        color = "#ffff00"
    else:
        color = "#ff0000"

    return "%.0f" % pending, perfometer_linear(pendpercent, color)

perfometers["check_mk-blackberry_pending"] = perfometer_check_mk_blackberry_pending
